org.apache.sysds.runtime.compress.lib

## Class CLALibDecompress

- java.lang.Object
- - org.apache.sysds.runtime.compress.lib.CLALibDecompress

    public class CLALibDecompress
    extends Object

Library to decompress a list of column groups into a matrix.

### Constructor Summary

Constructors
Constructor and Description
`CLALibDecompress()`

### Method Summary

All Methods Static Methods Concrete Methods
`static MatrixBlock` `decompress(CompressedMatrixBlock cmb, int k)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CLALibDecompress

    public CLALibDecompress()

### Method Detail

#### decompress

    public static MatrixBlock decompress(CompressedMatrixBlock cmb,
                                         int k)